<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIPregelGraphLibrary: vertex_traits&lt; dataType, algDataType, edgeType, idType &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIPregelGraphLibrary
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="structvertex__traits-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">vertex_traits&lt; dataType, algDataType, edgeType, idType &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a255b5938cfed8717413d246d5e8ed2b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a255b5938cfed8717413d246d5e8ed2b7"></a>
typedef std::vector&lt; edgeType &gt;<br class="typebreak" />
::iterator&#160;</td><td class="memItemRight" valign="bottom"><b>OUT_EDGE_ITERATOR</b></td></tr>
<tr class="separator:a255b5938cfed8717413d246d5e8ed2b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae21b7f58573e045ff55393b2e1f3de83"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae21b7f58573e045ff55393b2e1f3de83"></a>
typedef std::vector&lt; edgeType &gt;<br class="typebreak" />
::iterator&#160;</td><td class="memItemRight" valign="bottom"><b>In_EDGE_ITERATOR</b></td></tr>
<tr class="separator:ae21b7f58573e045ff55393b2e1f3de83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a040d3f0caefde1b0e424c40f62007494"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a040d3f0caefde1b0e424c40f62007494"></a>
typedef std::vector&lt; edgeType &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>OUT_EDGE_BUF</b></td></tr>
<tr class="separator:a040d3f0caefde1b0e424c40f62007494"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46a1882e4a813b71fafb594f8f3991d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46a1882e4a813b71fafb594f8f3991d4"></a>
typedef std::vector&lt; edgeType &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>IN_EDGE_BUF</b></td></tr>
<tr class="separator:a46a1882e4a813b71fafb594f8f3991d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add551901f3bf2ee0fd4aacfcc0929311"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add551901f3bf2ee0fd4aacfcc0929311"></a>
typedef edgeType&#160;</td><td class="memItemRight" valign="bottom"><b>EDGE_TYPE</b></td></tr>
<tr class="separator:add551901f3bf2ee0fd4aacfcc0929311"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a764e35e9d64bc240f0bd2f800c97fe56"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a764e35e9d64bc240f0bd2f800c97fe56"></a>
typedef dataType&#160;</td><td class="memItemRight" valign="bottom"><b>DATA_TYPE</b></td></tr>
<tr class="separator:a764e35e9d64bc240f0bd2f800c97fe56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef6abacab84bb8c76ac672bed908c9e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aef6abacab84bb8c76ac672bed908c9e2"></a>
typedef algDataType&#160;</td><td class="memItemRight" valign="bottom"><b>ALG_DATA_TYPE</b></td></tr>
<tr class="separator:aef6abacab84bb8c76ac672bed908c9e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f5b15bcae8c353fcbea3ed9c873e4f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f5b15bcae8c353fcbea3ed9c873e4f0"></a>
typedef idType&#160;</td><td class="memItemRight" valign="bottom"><b>ID_TYPE</b></td></tr>
<tr class="separator:a5f5b15bcae8c353fcbea3ed9c873e4f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/standard/modules/data_structures/base/<a class="el" href="vertex__traits_8hpp_source.html">vertex_traits.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 26 2014 15:59:02 for TIPregelGraphLibrary by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
